﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=7.3
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	Public SQL1 As SQL
	
	Public SQLDataBasePath As String
	Public SQLDateBaseName As String
	Public SQLTabelName As String

	Public CurrentIndex As Int			' index of the current entry
	
	Public DBIndex = 0 As Int
	If DBIndex = 0 Then
		Public ColNumber = 3 As Int			' number of columns
	Else
		Public ColNumber = 4 As Int			' number of columns
	End If
	Public ColNames(ColNumber) As String

	Public ColAliasNames(ColNumber) As String

	Public ColDataTypes(ColNumber) As String

	Public RowIDList As List		' list containing the IDs of the database				
	' we need it because the IDs can be different from the list indexes
	' if we delete an entry its ID is lost

End Sub

Sub Service_Create
	'initialize the variables
	SQLDataBasePath = File.DirInternal
	If DBIndex = 0 Then
		SQLDateBaseName = "personsflc.db"	'flc means FirstName, LastName, City
		SQLTabelName = "persons"
	Else
		SQLDateBaseName = "citylist.db"	'flc means FirstName, LastName, City
		SQLTabelName = "citylist"
	End If
	
	CurrentIndex = -1
	
	If DBIndex = 0 Then
		ColNames(0) = "FirstName"
		ColNames(1) = "LastName"
		ColNames(2) = "City"
		
		ColAliasNames(0) = "First name"
		ColAliasNames(1) = "Last name"
		ColAliasNames(2) = "City"
		
		ColDataTypes(0) = "TEXT"
		ColDataTypes(1) = "TEXT"
		ColDataTypes(2) = "TEXT"
	Else
		ColNames(0) = "City"
		ColNames(1) = "Country"
		ColNames(2) = "Longitude"
		ColNames(3) = "Latitude"
	
		ColAliasNames(0) = "City"
		ColAliasNames(1) = "Country"
		ColAliasNames(2) = "Longitude"
		ColAliasNames(3) = "Latitude"
	
		ColDataTypes(0) = "TEXT"
		ColDataTypes(1) = "TEXT"
		ColDataTypes(2) = "REAL"
		ColDataTypes(3) = "REAL"
	End If

'	File.Delete(SQLDataBasePath, SQLDateBaseName) ' only for testing, removes the database
		
	'check if the database already exists
	If File.Exists(SQLDataBasePath, SQLDateBaseName) = False Then
		'copy the default DB
		File.Copy(File.DirAssets, SQLDateBaseName, SQLDataBasePath, SQLDateBaseName)
		'if not, initialize it
		SQL1.Initialize(SQLDataBasePath, SQLDateBaseName, True)
		'and create it
		'CreateDataBase
	Else
		'if yes, initialize it
		SQL1.Initialize(SQLDataBasePath, SQLDateBaseName, True)
	End If
End Sub

Sub Service_Start (StartingIntent As Intent)

End Sub

Sub Service_Destroy

End Sub
